map.kohonen {kohonen} | R Documentation

## Map data to a supervised or unsupervised SOM

### Description

Map a data matrix onto a trained SOM.

### Usage

    ## S3 method for class 'kohonen'
    map(x, newdata, whatmap = NULL, user.weights = NULL,
                          maxNA.fraction = NULL, ...)

### Arguments

`x` | An object of class `kohonen`.
`newdata` | list of data matrices (numerical) of factors, equal to the `data` argument of the `supersom` function.
`whatmap, user.weights, maxNA.fraction` | parameters that usually will be taken from the `x` object, but can be supplied by the user as well. Note that it is not possible to change distance functions from the ones used in training the map. See `supersom` for more information.
`...` | Currently ignored.

### Value

A list with elements

`unit.classif` | a vector of units that are closest to the objects in the data matrix.
`dists` | distances of the objects to the closest units. Distance measures are the same ones used in training the map.
`whatmap,weights` | Values used for these arguments.

### Author(s)

Ron Wehrens

### See Also

`predict.kohonen`, `supersom`

### Examples

    data(wines)
    set.seed(7)

    training <- sample(nrow(wines), 150)
    Xtraining <- scale(wines[training, ])
    somnet <- som(Xtraining, somgrid(5, 5, "hexagonal"))

    map(somnet,
        scale(wines[-training, ],
              center=attr(Xtraining, "scaled:center"),
              scale=attr(Xtraining, "scaled:scale")))

[Package kohonen version 3.0.4 Index]